Jump to content

Archived

This topic is now archived and is closed to further replies.

TomCYYZ

Cannot run Scenery DB

Recommended Posts

I ran the "Rebuild scenery DB" on April 17, 2008. Went to run it tonight and got the dreaded "Runtime error '6' overflow". I downloaded and copied the latest MAKERWYS from Pete Dowson's site (v4.27). I copied it to the FS9(root directory). I believe that is the procedure. So it should work, shouldn't it? When I ran it in the FS9 directory itself it worked OK. But doesn't seem to want to run within RC4.3. Any ideas please? It's puzzling how it can work in April and not now. Do I have to run it in FS9 and then manually copy the files over to the RC4 data folder. Seems tedious but if that's the only way for me to do it? Note: I have version 4.3 running on FS9. Is that a problem because I heard it was for FSX only.Regards,Tom

Share this post


Link to post
Share on other sites

4.3 is for fs9 and/or fsxwhen do you get the error in RC? after you click the button, before makerwys runs? after you click the button and after makerwys runs?jd

Share this post


Link to post
Share on other sites

Thanks for that jd. I get it before makerwys runs. The 4 popup boxes and then RC4 closes. Now, further info for you. I just migrated over to a new computer and reinstalled v4 from my CD. I then, ooops (maybe) simply copy and pasted the upgrade .exe file over to the new installation RC4 folder. I'm thinking now maybe the best thing would have been to redownload the upgrade and use that file instead? But I did re-build the database one time when I initially installed to the new computer. Should I re-install? Can I use the key again that was sent to me? Can I get a download link for the upgrade to version 4.3?

Share this post


Link to post
Share on other sites

Update, I went ahead and reinstalled everything. Still no joy. Seems like a simple task though. If the makerwys file is in the FS9 root directory like it should be, then isn't the RC4 program steup to use that file in the process. I don't think I have a corrupted file anywhere unless my scenery.cfg file is corrupted? I know the "Rebuild Scenery DB" function in RC4 is an executing program, maybe it is corrupted for some reason or is it also possible that my Norton firewall is blocking it from running? I don't know, just throwing out ideas.Regards,

Share this post


Link to post
Share on other sites

Also, In the FAQ section on the website regarding this problem it asks the following:"When asked where the FS directory is, did you enter the correct path to the root directory of the applicable FS version?"Negative, hmmm, I have never been asked where the FS9 directory resides. How do I let RC4 know this? Where or how can I insert this information if the Rebuild Scenery DB program itself does not allow me to do this?Regards

Share this post


Link to post
Share on other sites

are you sure you are running rc 4.3?this all worked before you changed to the new computer?did the fs directory path change from the old machine to the new one?open the rcv3.dat file in the rc directory. mine looks like thisLear,speed bird,1242, 1 , 15 , 30 , 10 , 1000 , 0 , 0 , 10 , 0 , 1 , 1 , 0 , 1 , 0 , 1 , 15 , 1950 , 1200 ,, 2 ,F:UsersjdekkerNew Folder (2)Flight Simulator X FilesIFR Des Moines Intl to Chicago-O'Hare Intl.PLN 1800 , 1800 , 1800 1 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,01,1,1,1,1,1,1,1,1,1,1,1,0,0,00,0,0,0,0,0,0,0,0,0,0,0,1,0,00,0,0,0,0,0,0,0,0,1,0,0,0,0,0 5 0c:flightfs2004 0 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 , 0 0you may need to manually change the c:flightfs2004to your correct pathjd

Share this post


Link to post
Share on other sites

Here's where I stand now. I just finished uninstalling and re-installing again. I now have version 4.0.3675 installed and I am currently running "make Runways" version 4.27 (latest). Everything seems to be going alright. I have Rebuilt Total airports= 23,984 ,and runways=56,539 . I will now replace the rcv4.exe file with the version 4.3 one and see what happens. I will keep you informed.Regards

Share this post


Link to post
Share on other sites

jd, OK, when I drop the v4.3 .exe file into the RC4 folder and try to run the rebuild scenery DB program I get the runtime error. I think maybe I should get the v4.3 link from you and start fresh with a virgin rcv4.exe file. I am really not seeing where I have to tell the program where the FS9 path is. It must be automatic for version 4.0.3675 because I had no problems running the rebuild.For the download link my e-mail: roughcut@sympatico.caRegards

Share this post


Link to post
Share on other sites

I've rebuilt the database but when I try to load a FP I get a runtime error '53'. That's using the original version 4.0.3675. Amazing, 3 days ago RC4.3 was working perfectly, now I can't get it started with all these runtime errors popping up. I dunno! frustrating. I really don't know what to do.

Share this post


Link to post
Share on other sites

you can't drop the rcv4.exe from the 4.3 install into the 4.0 directory.uninstall rc, delete the rcv4 directory, install 4.3, and try againjd

Share this post


Link to post
Share on other sites

I cannot install 4.3 since I do not have access to the link. Where do I get 4.3? Hmmm, BTW I did previously "drop" the .exe file into the rc4 folder and it worked. Really strange then. I am totally confused then because I thought that's what v4.3 was. Just take the new .exe file and extract it into the rc4 folder. Isn't that the same as droping it in? I only have the 4.0 CD, I do not have the 4.3 version.Tom

Share this post


Link to post
Share on other sites

I am going to re-install 4.0. Can you advise what to do from there to get my version backup to 4.3?Tom

Share this post


Link to post
Share on other sites

jd, If my rcv4.exe (v4.3) file runs OK on the other machine, then why can't I just replace the v4.0 .exe file with that? I did once before and everything worked perfectly. I reinstalled v4.0 and I do not get the error '53'. I have rebuilt the scenery DB. So, I'm stuck with v4.0 and no way to upgrade to 4.3 unless as you say I install it. Where do I install it from if I cannot use the 4.3 version .exe on my old machine? What's the difference between 4.3 and 4.0. Not much feature wise I guess. 4.0 seems to run OK now on my new machine. Regards,Tom

Share this post


Link to post
Share on other sites

jd, I browsed the RC website but could not find a download link to version 4.3. Should there not be a area on the page where one can download any upgrades to the product? I really would like to upgrade my reinstalled version 4.0 to 4.3 with a proper upgrade file.Regards,Tom

Share this post


Link to post
Share on other sites

i sent you the link at 1:43pm edt today, in response to your email. did you not get it.send me another emailjd

Share this post


Link to post
Share on other sites

Thanks very much jd. I did get the link and have installed v4.3 successfully. Much appreciated.Regards

Share this post


Link to post
Share on other sites

×
×
  • Create New...